# mastodon Work In Progress!!!

This module install and manage Mastodon, Redis and PostgreSQL servers.

## Table of Contents

1. [Description](#description)
1. [Setup - The basics of getting started with mastodon](#setup)
    * [What mastodon affects](#what-mastodon-affects)
    * [Setup requirements](#setup-requirements)
    * [Beginning with mastodon](#beginning-with-mastodon)
1. [Usage - Configuration options and additional functionality](#usage)
1. [Limitations - OS compatibility, etc.](#limitations)
1. [Development - Guide for contributing to the module](#development)

## Description

Mastodon https://joinmastodon.org/ is a decrentralized social network using the ActivityPub protocol to federate.
This module install and configure it with the required components (PostgreSQL and Redis).

## Setup

### What mastodon affects

This module will install PostgreSQL and Redis server.

### Setup Requirements

You will need a host name registered in DNS.

### Beginning with mastodon

You need to generate these secrets:
- mastodon::db_password
- mastodon::secret_key_base
- mastodon::otp_secret
- mastodon::vapid_private_key
- mastodon::vapid_public_key

## Usage

## Limitations

## Development

## Release Notes/Contributors/Etc. **Optional**
